/* -------------------------------- 

Primary style

-------------------------------- */
*, *:after, *:before {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

body {
  font-size: 100%;
  font-family: "Source Sans Pro", sans-serif;
  color: rgba(2, 23, 37, 0.7);
  background-color: #e3dfdb;
}
body.overflow-hidden {
  /* when primary navigation is visible, the content in the background won't scroll */
  overflow: hidden;
}

a {
  color: white;
  text-decoration: none;
}

figure img {
  display: flex;
  justify-content: center; 
}

/* -------------------------------- 

Modules - reusable parts of our design

-------------------------------- */
.cd-container {
  /* this class is used to give a max-width to the element it is applied to, and center it horizontally when it reaches that max-width */
  width: 90%;
  max-width: 768px;
  margin: 0 auto;
}
.cd-container:after {
  content: "";
  display: table;
  clear: both;
}

/* -------------------------------- 

Main components 

-------------------------------- */
html, body {
  height: 100%;
}

.cd-header {
  position: absolute;
  top: 0;
  left: 0;
  background-color: rgba(2, 23, 37, 0.96);
  /*text-shadow: .25px .25px #37393B;*/
  height: 50px;
  width: 100%;
  z-index: 3;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.3);
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
@media only screen and (min-width: 768px) {
  .cd-header {
    height: 80px;
    background: transparent;
    box-shadow: none;
  }
}
@media only screen and (min-width: 1170px) {
  .cd-header {
    -webkit-transition: background-color 0.3s;
    -moz-transition: background-color 0.3s;
    transition: background-color 0.3s;
    /* Force Hardware Acceleration in WebKit */
    -webkit-transform: translate3d(0, 0, 0);
    -moz-transform: translate3d(0, 0, 0);
    -ms-transform: translate3d(0, 0, 0);
    -o-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
  }
  .cd-header.is-fixed {
    /* when the user scrolls down, we hide the header right above the viewport */
    position: fixed;
    top: -80px;
    background-color: rgba(2, 23, 37, 0.96);
    -webkit-transition: -webkit-transform 0.3s;
    -moz-transition: -moz-transform 0.3s;
    transition: transform 0.3s;
  }
  .cd-header.is-visible {
    /* if the user changes the scrolling direction, we show the header */
    -webkit-transform: translate3d(0, 100%, 0);
    -moz-transform: translate3d(0, 100%, 0);
    -ms-transform: translate3d(0, 100%, 0);
    -o-transform: translate3d(0, 100%, 0);
    transform: translate3d(0, 100%, 0);
  }
  .cd-header.menu-is-open {
    /* add a background color to the header when the navigation is open */
    background-color: rgba(2, 23, 37, 0.96);
  }
}

.cd-logo {
  display: block;
  position: absolute;
  top: 50%;
  bottom: auto;
  -webkit-transform: translateY(-50%);
  -moz-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  -o-transform: translateY(-50%);
  transform: translateY(-50%);
  left: .875em;
}
.cd-logo img {
  display: block;
}
@media only screen and (min-width: 768px) {
  .cd-logo {
    left: 2.6em;
  }
}

.cd-secondary-nav {
  position: absolute;
  top: 50%;
  bottom: auto;
  -webkit-transform: translateY(-50%);
  -moz-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  -o-transform: translateY(-50%);
  transform: translateY(-50%);
  right: 10em;
  /* hidden on small devices */
  display: none;
}
.cd-secondary-nav li {
  display: inline-block;
  margin-left: 2.2em;
}
.cd-secondary-nav a {
  display: inline-block;
  color: #085D96; /*Link color*/
  text-transform: uppercase;
  font-weight: 700;
}

@media only screen and (min-width: 768px) {
  .cd-secondary-nav {
    display: block;
  }
}

.cd-primary-nav-trigger {
  position: absolute;
  right: 0;
  top: 0;
  height: 100%;
  width: 50px;
  background-color: rgba(2, 23, 37, 0.96);
}
 
.cd-primary-nav-trigger .cd-menu-text {
  color: #085D96;
  text-transform: uppercase;
  font-weight: 700;
  /* hide the text on small devices */
  display: none;
}
.cd-primary-nav-trigger .cd-menu-icon {
  /* this span is the central line of the menu icon */
  display: inline-block;
  position: absolute;
  left: 50%;
  top: 50%;
  bottom: auto;
  right: auto;
  -webkit-transform: translateX(-50%) translateY(-50%);
  -moz-transform: translateX(-50%) translateY(-50%);
  -ms-transform: translateX(-50%) translateY(-50%);
  -o-transform: translateX(-50%) translateY(-50%);
  transform: translateX(-50%) translateY(-50%);
  width: 18px;
  height: 2px;
  background-color: #085D96;
  -webkit-transition: background-color 0.3s;
  -moz-transition: background-color 0.3s;
  transition: background-color 0.3s;
  /* these are the upper and lower lines in the menu icon */
}
.cd-primary-nav-trigger .cd-menu-icon::before, .cd-primary-nav-trigger .cd-menu-icon:after {
  content: '';
  width: 100%;
  height: 100%;
  position: absolute;
  background-color:#085D96;
  right: 0;
  -webkit-transition: -webkit-transform .3s, top .3s, background-color 0s;
  -moz-transition: -moz-transform .3s, top .3s, background-color 0s;
  transition: transform .3s, top .3s, background-color 0s;
}
.cd-primary-nav-trigger .cd-menu-icon::before {
  top: -5px;
}
.cd-primary-nav-trigger .cd-menu-icon::after {
  top: 5px;
}
.cd-primary-nav-trigger .cd-menu-icon.is-clicked {
  background-color: rgba(255, 255, 255, 0);
}
.cd-primary-nav-trigger .cd-menu-icon.is-clicked::before, .cd-primary-nav-trigger .cd-menu-icon.is-clicked::after {
  background-color: #085D96;
 
}
.cd-primary-nav-trigger .cd-menu-icon.is-clicked::before {
  top: 0;
  -webkit-transform: rotate(135deg);
  -moz-transform: rotate(135deg);
  -ms-transform: rotate(135deg);
  -o-transform: rotate(135deg);
  transform: rotate(135deg);
}
.cd-primary-nav-trigger .cd-menu-icon.is-clicked::after {
  top: 0;
  -webkit-transform: rotate(225deg);
  -moz-transform: rotate(225deg);
  -ms-transform: rotate(225deg);
  -o-transform: rotate(225deg);
  transform: rotate(225deg);
}
@media only screen and (min-width: 768px) {
  .cd-primary-nav-trigger {
    width: 100px;
    padding-left: 1em;
    background-color: transparent;
    height: 30px;
    line-height: 30px;
    right: 2.2em;
    top: 50%;
    bottom: auto;
    -webkit-transform: translateY(-50%);
    -moz-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    -o-transform: translateY(-50%);
    transform: translateY(-50%);
  }
  .cd-primary-nav-trigger .cd-menu-text {
    display: inline-block;
  }
  .cd-primary-nav-trigger .cd-menu-icon {
    left: auto;
    right: 1em;
    -webkit-transform: translateX(0) translateY(-50%);
    -moz-transform: translateX(0) translateY(-50%);
    -ms-transform: translateX(0) translateY(-50%);
    -o-transform: translateX(0) translateY(-50%);
    transform: translateX(0) translateY(-50%);
  }
}

.cd-primary-nav {
  /* by default it's hidden - on top of the viewport */
  position: fixed;
  left: 0;
  top: 0;
  height: 100%;
  width: 100%;
/*  background: rgba(2, 23, 37, 0.96);*/
    background: rgba(18, 39, 56, 0.96);
  z-index: 2;
  text-align: center;
  padding: 50px 0;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  overflow: auto;
  /* this fixes the buggy scrolling on webkit browsers - mobile devices only - when overflow property is applied */
  -webkit-overflow-scrolling: touch;
  -webkit-transform: translateY(-100%);
  -moz-transform: translateY(-100%);
  -ms-transform: translateY(-100%);
  -o-transform: translateY(-100%);
  transform: translateY(-100%);
  -webkit-transition-property: -webkit-transform;
  -moz-transition-property: -moz-transform;
  transition-property: transform;
  -webkit-transition-duration: 0.4s;
  -moz-transition-duration: 0.4s;
  transition-duration: 0.4s;
}
.cd-primary-nav li {
  font-size: 22px;
  font-size: 1.375rem;
  font-weight: 300;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  margin: .2em 0;
  text-transform: capitalize;
}
.cd-primary-nav a {
  display: inline-block;
  padding: .4em 1em;
  border-radius: 0.25em;
  -webkit-transition: background 0.2s;
  -moz-transition: background 0.2s;
  transition: background 0.2s;
}
.no-touch .cd-primary-nav a:hover {
  background-color: #e36767;
}
.cd-primary-nav .cd-label {
  color: #085D96;
  text-transform: uppercase;
  font-weight: 700;
  /*font-size: 14px;*/
  font-size: 1rem;
  margin: 2.4em 0 .8em;
}
.cd-primary-nav .cd-social {
  display: inline-block;
  margin: 0 .4em;
}
.cd-primary-nav .cd-social a {
  width: 44px;
  height: 44px;
  padding: 0;
  background-image: url("../img/cd-socials.svg");
  background-repeat: no-repeat;
  /* image replacement */
  overflow: hidden;
  text-indent: 100%;
  white-space: nowrap;
}
.cd-primary-nav .cd-facebook a {
  background-position: 0 0;
}
.cd-primary-nav .cd-instagram a {
  background-position: -44px 0;
}
.cd-primary-nav .cd-dribbble a {
  background-position: -88px 0;
}
.cd-primary-nav .cd-twitter a {
  background-position: -132px 0;
}
.cd-primary-nav.is-visible {
  -webkit-transform: translateY(0);
  -moz-transform: translateY(0);
  -ms-transform: translateY(0);
  -o-transform: translateY(0);
  transform: translateY(0);
}
@media only screen and (min-width: 768px) {
  .cd-primary-nav {
    padding: 80px 0;
  }
}
@media only screen and (min-width: 1170px) {
  .cd-primary-nav li {
    font-size: 30px;
    font-size: 1.875rem;
  }
  .cd-primary-nav .cd-label {
    font-size: 16px;
    font-size: 1rem;
  }
}

.cd-intro {
  position: relative;
  height: 100%;
  background: url("../img/flatirons2.jpg") no-repeat center center;
  background-size: cover;
  text-shadow: 1px 1px black;
  z-index: 1;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
.cd-intro h1 {
  position: absolute;
  width: 90%;
  max-width: 1170px;
  left: 50%;
  top: 50%;
  bottom: auto;
  right: auto;
  -webkit-transform: translateX(-50%) translateY(-50%);
  -moz-transform: translateX(-50%) translateY(-50%);
  -ms-transform: translateX(-50%) translateY(-50%);
  -o-transform: translateX(-50%) translateY(-50%);
  transform: translateX(-50%) translateY(-50%);
  color: white;
  font-size: 25px;
  font-size: 1.25rem;
  font-weight: 500;
  text-align: center;
}

.cd-main-content h1 {
  color: black;
  max-width: 1170px;
  font-size: 30px;
  font-weight: 500;
  text-align: center;
  padding-bottom: 50px;
}

.cd-main-content h2 {
  color: #1c1c1c;
  max-width: 1170px;
  font-size: 20px;
  font-weight: 500;
  text-align: center;
  padding-bottom: 5px;
  padding-top: 20px;
}

.cd-intro span {
  position: absolute;
  width: 90%;
  max-width: 1170px;
  left: 50%;
  top: 56%;
  bottom: auto;
  right: auto;
  -webkit-transform: translateX(-50%) translateY(-50%);
  -moz-transform: translateX(-50%) translateY(-50%);
  -ms-transform: translateX(-50%) translateY(-50%);
  -o-transform: translateX(-50%) translateY(-50%);
  transform: translateX(-50%) translateY(-50%);
  color: white;
  font-size: 20px;
  font-size: 1.25rem;
  font-weight: 300;
  text-align: center;
}

@media only screen and (min-width: 768px) {
  .cd-intro h1 {
    font-size: 40px;
    /*font-size: 1.875rem;*/
  }
}
@media only screen and (min-width: 1170px) {
  .cd-intro {
    height: 700px;
  }
}

.cd-main-content {
  position: relative;
  z-index: 1;
}
.cd-main-content p {
  line-height: 1.5;
  margin: 1em 0;
  font-size: 14px;
}
@media only screen and (min-width: 1170px) {
  .cd-main-content p {
    font-size: 16px;
  }
}

.content-split {
  display: flex;
  justify-content: space-around;
  padding: 10px;
}

@media only screen and (max-width: 946px) {
    .content-split {
      display: flex;
      flex-direction: column;
    }
    .content-split img {
      width: 100%;
      height: 100%;
    }
}

.content-split img {
  border: 3px solid #433534;
    border-radius: 5px;
    padding: 0px;
}

.goss {
  margin-right: 15px;
}

#cd-building a {
  color: black
}

.grove {
  margin-left: 15px;
}






/* overlay */



.no-touch #cd-building figure:hover {
}
.no-touch #cd-building figure:hover .cd-img-overlay {
  opacity: 1;
}
#cd-building figure {
  position: relative;
}

.no-touch #cd-building figure:hover {
   filter: gray;
  -webkit-filter: grayscale(1);
  -webkit-backface-visibility: hidden;
  -webkit-transition: -webkit-filter, 0.8s;
  -moz-transition: -webkit-filter, 0.8s;
  -o-transition: -webkit-filter, 0.8s;
  transition: -webkit-filter, 0.8s;
  -webkit-transition: filter, 0.8s;
  -moz-transition: filter, 0.8s;
  -o-transition: filter, 0.8s;
  transition: filter, 0.8s;
}

#cd-building .cd-img-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(92, 75, 81, 0.0);
  opacity: 0;
  -webkit-transition: opacity 0.3s;
  -moz-transition: opacity 0.3s;
  transition: opacity 0.3s;
}

#cd-building .cd-img-overlay span {
  font-size: 20px;
  position: absolute;
  left: 50%;
  top: 50%;
  bottom: auto;
  right: auto;
  -webkit-transform: translateX(-50%) translateY(-50%);
  -moz-transform: translateX(-50%) translateY(-50%);
  -ms-transform: translateX(-50%) translateY(-50%);
  -o-transform: translateX(-50%) translateY(-50%);
  transform: translateX(-50%) translateY(-50%);
  color: #FFF;
}

/*====Map====*/

#map  {
  height: 275px;
  margin: 0px auto;
  margin-bottom: -275px;
  margin-top: 0px;
  width: 100%;
  max-width: 2000px;
  position: relative;
  background-color: grey;

}

@media all and (max-width:450px) and (min-width: 300px) {
#map  {
  height: 200px;
  }}


  /*====Contact====*/


#contact {
  background-color: #433534;
  color: #fff;
  background-size: cover;
  margin: 0px auto;
  margin-bottom: 0px;
  margin-top: 275px;
  width: 100%;
  max-width: 2400px;
  position: relative;
  /*-webkit-box-shadow: 0 0 50px rgba(0,0,0,0.8);
  box-shadow: 0 0 50px rgba(0,0,0,0.8);*/
  font-family: 'Goudy Bookletter 1911', serif;
}

#contact h2 {
  color: #fff;
}

/* Normalize & Reset */



button,
input,
textarea {
    color: inherit; /* 1 */
    font: inherit; /* 2 */
    margin: 0; /* 3 */
}

*, :after, :before {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

/* Form Styles */

h3 {
  text-align: center;
  color: #333333;
  font-size: 18px;
}

.container { 
  width: 100%;
  max-width: 500px;
  margin: auto;
  padding: 5px;

 }
.ajax-form { width: 100%; }
.ajax-form input, 
.ajax-form textarea {
    color: #131519;
    padding: 20px;
    border: 3px solid #130e12;
    border-radius: 6px;
    margin: 0 0 27px;
    background: rgba(255,255,255,.75);
    outline: none;
    -webkit-transition: all .25s ease-in-out;
    -moz-transition: all .25s ease-in-out;
    -o-transition: all .25s ease-in-out;
    transition: all .25s ease-in-out; 
}

.ajax-form input:focus, 
.ajax-form textarea:focus {
    border: 3px solid #e3dfdb;
    color: #2a2821;
}

.ajax-form input[type="submit"] {
  background-color: rgba(255,255,255,.5);
    border: 3px solid #ccc;
  color: #131519;
  cursor: pointer;
}

.ajax-form input[type="submit"]:hover {
    background-color: rgba(156,183,192,.5);
    border: 3px solid rgba(42,40,33,.8);
    color: rgba(255,255,255,.5);
}

.name, .email { width: 48%; }

.name { float: left; }
.email { float: right }

.message { width: 100%; }

.form-btn { text-align: center; }

.error { border: 3px solid #ED1941 !important; }
 
.form-thank-you {
    display: none;
    width: 100%;
    text-align: center;
}

.form-thank-you h3 { padding-top: 15px; }

@media (max-width: 767px) {
  .name, .email { 
    width: 100%; 
    float: none;
  }

}

#footer {
  display: flex;
  justify-content: space-around;
  padding: 50px;
  max-width: 1170px;
  margin: auto;
  font-family: "Source Sans Pro", sans-serif;
}

@media (max-width: 670px) {
  #footer {
  display: flex;
  flex-direction: column;
}
}






